#include<bits/stdc++.h>
#pragma GCC optimize("O3")
#pragma GCC target("avx2")

using namespace std;

#define int long long

void solve(){
    int n, l;
    cin>>n>>l;
    vector<int> v(n);
    for(int i = 0;i<n;i++) cin>>v[i];
    for(int i = 0;i<n;i++){
        if(v[i]<=l){
            cout<<i+1<<endl;
            return;
        }
    }
    cout<<-1<<endl;
    return;
}

int32_t main(){
    cin.tie(0);
    cout.tie(0);
    ios_base::sync_with_stdio(false);
    int t = 1;
    //cin>>t;
    while(t--){
        solve();
    }
    return 0;
}